curl -X POST https://api.getagentdrive.com/v0/files/bulk-delete \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"file_ids": ["file_abc123", "file_def456", "file_ghi789"]
}'
{
"deleted": ["file_abc123", "file_def456"],
"failed": ["file_ghi789"]
}
Files
Bulk Delete Files
Delete multiple files in a single request.
POST
/
v0
/
files
/
bulk-delete
curl -X POST https://api.getagentdrive.com/v0/files/bulk-delete \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"file_ids": ["file_abc123", "file_def456", "file_ghi789"]
}'
{
"deleted": ["file_abc123", "file_def456"],
"failed": ["file_ghi789"]
}
Request Body
string[]
required
An array of file IDs to delete. Maximum 1000 IDs per request.
curl -X POST https://api.getagentdrive.com/v0/files/bulk-delete \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"file_ids": ["file_abc123", "file_def456", "file_ghi789"]
}'
{
"deleted": ["file_abc123", "file_def456"],
"failed": ["file_ghi789"]
}
Response
string[]
The IDs of files that were successfully deleted.
string[]
The IDs of files that could not be deleted (e.g., not found or permission denied).
